FruxonDocs
ApiAgentassetestimate

Estimates token count for a Notion database before ingestion.

POST
/v1/tenants/{tenant}/agents/{agent}/assets:notion-estimate

Path Parameters

agent*string

The unique identifier of the agent.

tenant*string

The tenant identifier

Notion connection details and database ID.

databaseId*string

Notion database ID to ingest all pages from

Length1 <= length
token*string

Notion integration token (starts with 'secret_')

Length1 <= length
[key: string]?never

Response Body

curl -X POST "https://api.fruxon.com/v1/tenants/string/agents/string/assets:notion-estimate" \  -H "Content-Type: application/json" \  -d '{    "databaseId": "string",    "token": "string"  }'
{
  "tokenCount": 0,
  "chunkCount": 0,
  "documentCount": 0,
  "documents": [
    {
      "fileName": "string",
      "tokenCount": 0,
      "chunkCount": 0
    }
  ]
}
Empty
Empty